Subject: bug#49229: 27.2; `M-x shell' fails over TRAMP from local MS Windows

From: Jim Porter <[email-masked]>
Date: Fri, 2 Jul 2021 14:30:59 -0700

On Fri, Jul 2, 2021 at 5:58 AM Michael Albinus <[email-masked]> wrote:
>
> As I've said in my reply, I believe the problem is more general, and not
> restricted to just the `shell' function.
>
> So I have pushed a patch to master, which reverts my Tramp change, and
> which adds the following change to `read-file-name-default' of minibuffer.el:
>
>
> Could you, pls, test?

Thanks for the fix. I tested this both by running `M-x shell' from a
remote buffer and by opening a local file while in a remote buffer and
both of these work as expected. Note that I just eval'ed the updated
functions in my Emacs 27.2 instance, so it's not a *perfect* test;
still, hopefully it's enough to verify that this works correctly.